# eric5.QScintilla.EditorAssembly

Module implementing the editor assembly widget containing the navigation combos and the editor widget.

### Global Attributes

None

### Classes

EditorAssembly | Class implementing the editor assembly widget containing the navigation combos and the editor widget.

### Functions

None

## EditorAssembly

Class implementing the editor assembly widget containing the navigation combos and the editor widget.

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

EditorAssembly | Constructor
__editorCursorLineChanged | Private slot handling a line change of the cursor of the editor.
__globalsActivated | Private method to jump to the line of the selected global entry and to populate the members combo box.
__membersActivated | Private method to jump to the line of the selected members entry.
__parseEditor | Private method to parse the editor source and repopulate the globals combo.
__resetParseTimer | Private slot to reset the parse timer.
getEditor | Public method to get the reference to the editor widget.
shutdownTimer | Public method to stop and disconnect the timer.

### Static Methods

None

#### EditorAssembly (Constructor)

EditorAssembly(dbs, fn=None, vm=None, filetype="", editor=None, tv=None)

Constructor

dbs
  reference to the debug server object
fn
  name of the file to be opened (string). If it is None, a new (empty) editor is opened
vm
  reference to the view manager object (ViewManager.ViewManager)
filetype
  type of the source file (string)
editor
  reference to an Editor object, if this is a cloned view
tv
  reference to the task viewer object

#### EditorAssembly.__editorCursorLineChanged

__editorCursorLineChanged(lineno)

Private slot handling a line change of the cursor of the editor.

lineno
  line number of the cursor (integer)

#### EditorAssembly.__globalsActivated

__globalsActivated(index, moveCursor=True)

Private method to jump to the line of the selected global entry and to populate the members combo box.

index
  index of the selected entry (integer)
moveCursor=
  flag indicating to move the editor cursor (boolean)

#### EditorAssembly.__membersActivated

__membersActivated(index, moveCursor=True)

Private method to jump to the line of the selected members entry.

index
  index of the selected entry (integer)
moveCursor=
  flag indicating to move the editor cursor (boolean)

#### EditorAssembly.__parseEditor

__parseEditor()

Private method to parse the editor source and repopulate the globals combo.

#### EditorAssembly.__resetParseTimer

__resetParseTimer()

Private slot to reset the parse timer.

#### EditorAssembly.getEditor

getEditor()

Public method to get the reference to the editor widget.

Returns:
  reference to the editor widget (Editor)

#### EditorAssembly.shutdownTimer

shutdownTimer()

Public method to stop and disconnect the timer.

Up